Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.utils
Class UserDataDelegate

    java.lang.Object
      edu.uci.ics.jung.utils.UserDataDelegate

All Implemented Interfaces:
  Cloneable, UserDataContainer

Direct Known Subclasses:
  AbstractArchetypeGraph, AbstractElement

public class UserDataDelegate
extends Object
implements UserDataContainer, Cloneable

Nested Class Summary

Nested classes inherited from class edu.uci.ics.jung.utils.UserDataContainer
`UserDataContainer.CopyAction`

Field Summary
`protected static UserDataFactory` | `factory`
`protected UserDataContainer` | `udc_delegate`

Constructor Summary
`UserDataDelegate()`

Method Summary
`void` | `addUserDatum(Object key, Object datum, UserDataContainer.CopyAction copyAct)` Adds the specified data with the specified key to this object's user data repository, with the specified CopyAction.
`Object` | `clone()`
`boolean` | `containsUserDatumKey(Object key)` Reports whether `key` is a key of this user data container.
`Object` | `getUserDatum(Object key)` Retrieves the object in this object's user data repository to which key refers.
`UserDataContainer.CopyAction` | `getUserDatumCopyAction(Object key)` Retrieves the CopyAction for the object stored in this object's user data repository to which key refers.
`Iterator` | `getUserDatumKeyIterator()` Provides an iterator over this object's user data repository key set.
`void` | `importUserData(UserDataContainer udc)` Takes the user data stored in udc and copies it to this object's user data repository, respecting each datum's CopyAction.
`Object` | `removeUserDatum(Object key)` Retrieves the object in this object's user data repository to which key refers, and removes it from the repository.
`static void` | `setUserDataFactory(UserDataFactory udf)`
`void` | `setUserDatum(Object key, Object datum, UserDataContainer.CopyAction copyAct)` If key refers to an existing user datum in this object's repository, that datum is replaced by the specified datum.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### udc_delegate

    protected UserDataContainer udc_delegate

### factory

    protected static UserDataFactory factory

Constructor Detail

### UserDataDelegate

    public UserDataDelegate()

Method Detail

### setUserDataFactory

    public static void setUserDataFactory(UserDataFactory udf)

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Specified by:
    `clone` in interface `UserDataContainer`
  Throws:
    `CloneNotSupportedException`

### addUserDatum

    public void addUserDatum(Object key,
                             Object datum,
                             UserDataContainer.CopyAction copyAct)

  Description copied from interface: `UserDataContainer`
  Adds the specified data with the specified key to this object's user data repository, with the specified CopyAction.

  Specified by:
    `addUserDatum` in interface `UserDataContainer`
  Parameters:
    `key` - the key of the datum being added
    `datum` - the datum being added
    `copyAct` - the CopyAction of the datum being added

### importUserData

    public void importUserData(UserDataContainer udc)

  Description copied from interface: `UserDataContainer`
  Takes the user data stored in udc and copies it to this object's user data repository, respecting each datum's CopyAction.

  Specified by:
    `importUserData` in interface `UserDataContainer`
  Parameters:
    `udc` - the source of the user data to be copied into this container

### getUserDatumKeyIterator

    public Iterator getUserDatumKeyIterator()

  Description copied from interface: `UserDataContainer`
  Provides an iterator over this object's user data repository key set.

  Specified by:
    `getUserDatumKeyIterator` in interface `UserDataContainer`

### getUserDatumCopyAction

    public UserDataContainer.CopyAction getUserDatumCopyAction(Object key)

  Description copied from interface: `UserDataContainer`
  Retrieves the CopyAction for the object stored in this object's user data repository to which key refers.

  Specified by:
    `getUserDatumCopyAction` in interface `UserDataContainer`
  Parameters:
    `key` - the key of the datum whose CopyAction is requested
  Returns:
    CopyAction the requested CopyAction

### getUserDatum

    public Object getUserDatum(Object key)

  Description copied from interface: `UserDataContainer`
  Retrieves the object in this object's user data repository to which key refers.

  Specified by:
    `getUserDatum` in interface `UserDataContainer`
  Parameters:
    `key` - the key of the datum to retrieve
  Returns:
    Object the datum retrieved

### setUserDatum

    public void setUserDatum(Object key,
                             Object datum,
                             UserDataContainer.CopyAction copyAct)

  Description copied from interface: `UserDataContainer`
  If key refers to an existing user datum in this object's repository, that datum is replaced by the specified datum. Otherwise this is equivalent to addUserDatum(key, data, copyAct).

  Specified by:
    `setUserDatum` in interface `UserDataContainer`
  Parameters:
    `key` - the key of the datum being added/modified
    `datum` - the replacement/new datum
    `copyAct` - the CopyAction for the new (key, datum) pair

### removeUserDatum

    public Object removeUserDatum(Object key)

  Description copied from interface: `UserDataContainer`
  Retrieves the object in this object's user data repository to which key refers, and removes it from the repository.

  Specified by:
    `removeUserDatum` in interface `UserDataContainer`
  Parameters:
    `key` - the key of the datum to be removed
  Returns:
    Object the datum removed

### containsUserDatumKey

    public boolean containsUserDatumKey(Object key)

  Description copied from interface: `UserDataContainer`
  Reports whether `key` is a key of this user data container.

  Specified by:
    `containsUserDatumKey` in interface `UserDataContainer`
  Parameters:
    `key` - the key to be queried
  Returns:
    true if `key` is present in this user data container

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD